Pip no se actualiza

Hola, estoy tratando de actualizar pip y estoy recibiendo este error:

egts-iMac-3:~ egt$ pip install -U pip You are using pip version 6.1.1, however version 10.0.1 is available. You should consider upgrading via the 'pip install --upgrade pip' command. Collecting pip Could not find a version that satisfies the requirement pip (from versions: ) No matching distribution found for pip 

Resulta que tuve que actualizar xcode, y se actualizó pip a 10.0.1.